Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.loader.entity
Class CascadeEntityLoader

    java.lang.Object
      org.hibernate.loader.Loader
          org.hibernate.loader.BasicLoader
              org.hibernate.loader.OuterJoinLoader
                  org.hibernate.loader.entity.AbstractEntityLoader
                      org.hibernate.loader.entity.CascadeEntityLoader

All Implemented Interfaces:
  UniqueEntityLoader

    public class CascadeEntityLoader

extends AbstractEntityLoader

Field Summary

Fields inherited from class org.hibernate.loader.entity.AbstractEntityLoader
`entityName, log, persister, uniqueKeyType`

Fields inherited from class org.hibernate.loader.OuterJoinLoader
`aliases, collectionOwners, collectionPersisters, collectionSuffixes, lockModeArray, ownerAssociationTypes, owners, persisters, sql, suffixes`

Fields inherited from class org.hibernate.loader.BasicLoader
`NO_SUFFIX`

Constructor Summary
`CascadeEntityLoader(OuterJoinLoadable persister, CascadingAction action, SessionFactoryImplementor factory)`

Method Summary

Methods inherited from class org.hibernate.loader.entity.AbstractEntityLoader
`getResultColumnOrRow, isSingleRowLoader, load, load`

Methods inherited from class org.hibernate.loader.OuterJoinLoader
`getAliases, getCollectionOwners, getCollectionPersisters, getCollectionSuffixes, getDialect, getEnabledFilters, getEntityPersisters, getLockModes, getOwnerAssociationTypes, getOwners, getSQLString, getSuffixes, initFromWalker`

Methods inherited from class org.hibernate.loader.BasicLoader
`generateSuffixes, generateSuffixes, getCollectionAliases, getEntityAliases, postInstantiate`

Methods inherited from class org.hibernate.loader.Loader
`applyLocks, autoDiscoverTypes, bindNamedParameters, bindParameterValues, bindPositionalParameters, checkScrollability, doList, getEntityEagerPropertyFetches, getFactory, getNamedParameterLocs, getQueryIdentifier, getResultList, getResultSet, hasSubselectLoadableCollections, isSubselectLoadingEnabled, list, loadCollection, loadCollectionBatch, loadCollectionSubselect, loadEntity, loadEntity, loadEntityBatch, loadSequentialRowsForward, loadSequentialRowsReverse, loadSingleRow, needsFetchingScroll, prepareQueryStatement, preprocessSQL, processFilters, scroll, toString, upgradeLocks`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CascadeEntityLoader

    public CascadeEntityLoader(OuterJoinLoadable persister,
                               CascadingAction action,
                               SessionFactoryImplementor factory)
                        throws MappingException

Throws:
  `MappingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD